Package com.io7m.waxmill.machines

# Class WXMEvaluatedBootConfigurationUEFI

java.lang.Object
com.io7m.waxmill.machines.WXMEvaluatedBootConfigurationUEFI

All Implemented Interfaces:
  `WXMBootConfigurationType.WXMEvaluatedBootConfigurationType`, `WXMBootConfigurationType.WXMEvaluatedBootConfigurationUEFIType`

    public final class WXMEvaluatedBootConfigurationUEFI
    extends java.lang.Object
    implements WXMBootConfigurationType.WXMEvaluatedBootConfigurationUEFIType

A set of evaluated commands used to boot with UEFI.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `WXMEvaluatedBootConfigurationUEFI.Builder` | Builds instances of type `WXMEvaluatedBootConfigurationUEFI`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static WXMEvaluatedBootConfigurationUEFI.Builder` | `builder()` | Creates a builder for `WXMEvaluatedBootConfigurationUEFI`.
  `WXMEvaluatedBootCommands` | `commands()` |
  `static WXMEvaluatedBootConfigurationUEFI` | `copyOf​(WXMBootConfigurationType.WXMEvaluatedBootConfigurationUEFIType instance)` | Creates an immutable copy of a `WXMBootConfigurationType.WXMEvaluatedBootConfigurationUEFIType` value.
  `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `WXMEvaluatedBootConfigurationUEFI` that have equal attribute values.
  `int` | `hashCode()` | Computes a hash code from attributes: `requiredPaths`, `requiredNMDMs`, `commands`.
  `java.util.Set<java.nio.file.Path>` | `requiredNMDMs()` |
  `java.util.List<java.nio.file.Path>` | `requiredPaths()` |
  `java.lang.String` | `toString()` | Prints the immutable value `WXMEvaluatedBootConfigurationUEFI` with attribute values.
  `WXMEvaluatedBootConfigurationUEFI` | `withCommands​(WXMEvaluatedBootCommands value)` | Copy the current immutable object by setting a value for the `commands` attribute.
  `WXMEvaluatedBootConfigurationUEFI` | `withRequiredNMDMs​(java.lang.Iterable<? extends java.nio.file.Path> elements)` | Copy the current immutable object with elements that replace the content of `requiredNMDMs`.
  `WXMEvaluatedBootConfigurationUEFI` | `withRequiredNMDMs​(java.nio.file.Path... elements)` | Copy the current immutable object with elements that replace the content of `requiredNMDMs`.
  `WXMEvaluatedBootConfigurationUEFI` | `withRequiredPaths​(java.lang.Iterable<? extends java.nio.file.Path> elements)` | Copy the current immutable object with elements that replace the content of `requiredPaths`.
  `WXMEvaluatedBootConfigurationUEFI` | `withRequiredPaths​(java.nio.file.Path... elements)` | Copy the current immutable object with elements that replace the content of `requiredPaths`.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.waxmill.machines.WXMBootConfigurationType.WXMEvaluatedBootConfigurationUEFIType

  `checkPreconditions, kind`

- ## Method Details

  - ### requiredPaths

    public java.util.List<java.nio.file.Path> requiredPaths()
    Specified by:
      `requiredPaths` in interface `WXMBootConfigurationType.WXMEvaluatedBootConfigurationType`
    Specified by:
      `requiredPaths` in interface `WXMBootConfigurationType.WXMEvaluatedBootConfigurationUEFIType`
    Returns:
      The value of the `requiredPaths` attribute

  - ### requiredNMDMs

    public java.util.Set<java.nio.file.Path> requiredNMDMs()
    Specified by:
      `requiredNMDMs` in interface `WXMBootConfigurationType.WXMEvaluatedBootConfigurationType`
    Specified by:
      `requiredNMDMs` in interface `WXMBootConfigurationType.WXMEvaluatedBootConfigurationUEFIType`
    Returns:
      The value of the `requiredNMDMs` attribute

  - ### commands

    public WXMEvaluatedBootCommands commands()
    Specified by:
      `commands` in interface `WXMBootConfigurationType.WXMEvaluatedBootConfigurationType`
    Specified by:
      `commands` in interface `WXMBootConfigurationType.WXMEvaluatedBootConfigurationUEFIType`
    Returns:
      The value of the `commands` attribute

  - ### withRequiredPaths

    public final WXMEvaluatedBootConfigurationUEFI withRequiredPaths​(java.nio.file.Path... elements)
    Copy the current immutable object with elements that replace the content of `requiredPaths`.
    Parameters:
      `elements` - The elements to set
    Returns:
      A modified copy of `this` object

  - ### withRequiredPaths

    public final WXMEvaluatedBootConfigurationUEFI withRequiredPaths​(java.lang.Iterable<? extends java.nio.file.Path> elements)
    Copy the current immutable object with elements that replace the content of `requiredPaths`. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
    Parameters:
      `elements` - An iterable of requiredPaths elements to set
    Returns:
      A modified copy of `this` object

  - ### withRequiredNMDMs

    public final WXMEvaluatedBootConfigurationUEFI withRequiredNMDMs​(java.nio.file.Path... elements)
    Copy the current immutable object with elements that replace the content of `requiredNMDMs`.
    Parameters:
      `elements` - The elements to set
    Returns:
      A modified copy of `this` object

  - ### withRequiredNMDMs

    public final WXMEvaluatedBootConfigurationUEFI withRequiredNMDMs​(java.lang.Iterable<? extends java.nio.file.Path> elements)
    Copy the current immutable object with elements that replace the content of `requiredNMDMs`. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
    Parameters:
      `elements` - An iterable of requiredNMDMs elements to set
    Returns:
      A modified copy of `this` object

  - ### withCommands

    public final WXMEvaluatedBootConfigurationUEFI withCommands​(WXMEvaluatedBootCommands value)
    Copy the current immutable object by setting a value for the `commands` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for commands
    Returns:
      A modified copy of the `this` object

  - ### equals

    public boolean equals​(java.lang.Object another)
    This instance is equal to all instances of `WXMEvaluatedBootConfigurationUEFI` that have equal attribute values.
    Overrides:
      `equals` in class `java.lang.Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `requiredPaths`, `requiredNMDMs`, `commands`.
    Overrides:
      `hashCode` in class `java.lang.Object`
    Returns:
      hashCode value

  - ### toString

    public java.lang.String toString()
    Prints the immutable value `WXMEvaluatedBootConfigurationUEFI` with attribute values.
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      A string representation of the value

  - ### copyOf

    public static WXMEvaluatedBootConfigurationUEFI copyOf​(WXMBootConfigurationType.WXMEvaluatedBootConfigurationUEFIType instance)
    Creates an immutable copy of a `WXMBootConfigurationType.WXMEvaluatedBootConfigurationUEFIType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable WXMEvaluatedBootConfigurationUEFI instance

  - ### builder

    public static WXMEvaluatedBootConfigurationUEFI.Builder builder()
    Creates a builder for `WXMEvaluatedBootConfigurationUEFI`.

         WXMEvaluatedBootConfigurationUEFI.builder()
            .addRequiredPaths|addAllRequiredPaths(java.nio.file.Path) // requiredPaths elements
            .addRequiredNMDMs|addAllRequiredNMDMs(java.nio.file.Path) // requiredNMDMs elements
            .setCommands(com.io7m.waxmill.machines.WXMEvaluatedBootCommands) // required commands
            .build();

    Returns:
      A new WXMEvaluatedBootConfigurationUEFI builder